API referenceForms

List signup forms

GET/forms

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
after?string
Length1 <= length <= 64
before?string
Length1 <= length <= 64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/forms"
{  "object": "list",  "has_more": true,  "data": [    {      "object": "form",      "id": "string",      "name": "string",      "status": "active",      "fields": [        {          "name": "email",          "label": "string",          "type": "email",          "required": false,          "placeholder": "string"        }      ],      "list_ids": [        "string"      ],      "double_opt_in": true,      "redirect_url": "string",      "success_message": "string",      "spam_protection": {        "honeypot": true,        "turnstile": false,        "max_per_ip_per_hour": 20      },      "action_url": "string",      "hosted_url": "string",      "embed": {        "iframe": "string",        "html": "string"      },      "submission_count": 0,      "last_submitted_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}